### Method

# WPEPlatform Clipboard read_bytes

#### Declaration [src]

    GBytes*
    wpe_clipboard_read_bytes (
      WPEClipboard* clipboard,
      const char* format
    )

#### Description [src]

Get the contents of `clipboard` for the given `format` as bytes.

#### Parameters

`format`

  Type: `const char*`

  The format of the text to read.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GBytes`

A new `GBytes`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.